Summary:	Utilities for infrared communication between devices
Name:		irda-utils
Version:	0.9.18
Release:	%mkrel 16
Group:		System/Servers
License:	GPL
URL:		http://irda.sourceforge.net/
Source0:	http://download.sourceforge.net/irda/%{name}-%{version}.tar.gz
Source2:    irda.service
Source3:    irda.sysconfig
Patch0:		irda-utils-0.9.18-chkconfig-pinit-i18n-rh2.patch
Patch2:		irda-utils-0.9.14-typo.patch
Patch4:		irda-utils-0.9.17-rootonly.patch
Patch5:		irda-utils-0.9.15-rh1.patch
Patch7:		irda-utils-0.9.16-tekram-ppc-buildfix.patch
Patch8:		irda-utils-0.9.18-fix-build.patch
Patch12:	irda-utils-0.9.16-io.patch
Patch13:	irda-utils-0.9.18-fix-install.patch
Patch14:	irda-utils-0.9.18-reorder-build.patch
BuildRequires:	glib2-devel
BuildRequires:	pciutils-devel
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
IrDA(TM) (Infrared Data Association) is an industry standard for
wireless, infrared communication between devices. IrDA speeds range
from 9600 bps to 4 Mbps, and IrDA can be used by many modern devices
including laptops, LAN adapters, PDAs, printers, and mobile phones.

The Linux-IrDA project is a GPL'd implementation, written from
scratch, of the IrDA protocols. Supported IrDA protocols include
IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM and IrOBEX.

The irda-utils package contains a collection of programs that enable
the use of IrDA protocols. Most IrDA features are implemented in the
kernel, so IrDA support must be enabled in the kernel before any IrDA
tools or programs can be used. Some configuration outside the kernel
is required, however, and some IrDA features, like IrOBEX, are
actually implemented outside the kernel.

%prep
%setup -q
%patch0 -p1 -b .irda.rc-fixes
%patch2 -p1 -b .typo
%patch4 -p1 -b .rootonly
%patch5 -p1 -b .rh1
%patch7 -p1 -b .tekram-ppc-buildfix
%patch8 -p1 -b .fix-build
%patch12 -p1 -b .io
%patch13 -p1 -b .fix-install
%patch14 -p1 -b .reorder

%build
%serverbuild
%make all

%install
mkdir -p %{buildroot}{%{_sbindir},%{_bindir}}


%makeinstall_std  ROOT="%{buildroot}" MANDIR="$RPM_BUILD_ROOT%{_mandir}"

for dir in irattach irdadump irdaping tekram; do
    cp $dir/README $dir/README.$dir
done
mv smcinit/README.Peri smcinit/README.tosh1800-smcinit
mv smcinit/README smcinit/README.smcinit
mv smcinit/README.Tom smcinit/README.Tom.scminit
mv smcinit/README.Rob smcinit/README.Rob.smcinit
mv smcinit/RobMiller-irda.html smcinit/README.Rob.smcinit.html

rm -f %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifcfg-irlan0
rm -f %{buildroot}%{_initrddir}/irda

install -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/irda.service
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/irda

%post
%_post_service irda

%preun
%_preun_service irda

%files
%doc README
%doc irattach/README.irattach
%doc irdadump/README.irdadump
%doc irdaping/README.irdaping
%doc tekram/README.tekram
%doc smcinit/README*
%{_sbindir}/irattach
%{_sbindir}/irdaping
%{_sbindir}/dongle_attach
%ifnarch ppc %{sunsparc} %mips
%{_sbindir}/findchip
%{_sbindir}/smcinit
%{_sbindir}/tosh1800-smcinit
%{_sbindir}/tosh2450-smcinit
%endif
%{_sbindir}/irdadump
%{_bindir}/irpsion5
%{_bindir}/irkbd
%{_sbindir}/irnetd
%{_unitdir}/irda.service
%config(noreplace) %{_sysconfdir}/sysconfig/irda
%{_mandir}/man?/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.18-16.mga3
+ Revision: 354494
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 guillomovitch <guillomovitch> 0.9.18-15.mga3
+ Revision: 310585
- drop sysinit support

* Sat Apr 28 2012 tmb <tmb> 0.9.18-14.mga2
+ Revision: 233756
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Jan 16 2012 dmorgan <dmorgan> 0.9.18-13.mga2
+ Revision: 196668
- Add systemd support ( Fedora)

* Tue Mar 08 2011 ennael <ennael> 0.9.18-12.mga1
+ Revision: 66460
- clean spec file
- imported package irda-utils

